# Command: GetLocalNodes

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetLocalNodes - Return IDs of all local nodes of a subnet that fulfill the
      conditions given in the dictionary, or all nodes if no dictionary given.

Synopsis:

      gid [<>]  GetLocalNodes -> [gid1 ... gidn]

Description:

      This function is equivalent to GetGlobalNodes, but returns only those
      nodes that are local to the MPI process executing the command.

Parameters:

      gid		- id of a subnet
      <>	- Dictionary of selection properties
      Returns:
      [gid..]	- Array with the global ids of all local child nodes.

Author:

    Hans Ekkehard Plesser, Abigail Morrison

SeeAlso:

- GetGlobalNodes
- GetLocalLeaves
- GetLocalChildren

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative